# 3ème réunion de travail

**Date :** Samedi ou Dimanche 18-19 septembre, heure à définir [ici](https://p.adnab.me/poll/#/2/poll/edit/fITPAFijw60mEk5Hxw9Q3UC5/)

**Lieu :** [jitsi.deuxfleurs.fr/asso](https://jitsi.deuxfleurs.fr/asso)


## Compte Rendu

**Budget & Dépenses** 
On a parlé budget.
Il y a 70€ dans la caisse, les cotiz sont à renouveler en janvier.
Pour le moment l'hébergement des serveurs et les noms de domaine sont à notre charge personnelle. Il serait assez logique qu'on paye les noms de domaines deuxfleurs.fr et deuxfleurs.org via la thune de l'asso.
Quentin plutôt pour taper dans la caisse pour payer Ronce.
On décide ensemble ce qu'on sort de la caisse, et on fournit en donation par membre "à la discrétion de chacun".
Florian (et Vincent) il a pas payé la cotiz !!! Ils vont donc allonger leurs 10 balles komtoulmonde.

**Charte Graphique**
Qu'est ce qu'on priorise ? On veut qu'elle nous aide à quoi ? Charte graphique ? Juste le site ? Logo ?
Charte graphique = logo, déclinaisons en couleur/n&b/simplifié, palette de couleurs (<= 5), une police de titre, police de corps, quelques indications supplémentaires (dit Max, en se basant sur Tedomum dont il participé à la charte graphique)
Charte graphique, c'est relativement standard, elle devrait comprendre sans qu'on ait à discuter avec elle.
Quentin trouve qu'on aurait besoin de discuter avec elle du projet. 
Adrien ajoute que notre site est pas aussi clair que celui de Tedomum et que ça servirait.
Max dit qu'on peut pas être 12 à lui parler, ça mettrait plus de bruit qu'autre chose.
On a créé un groupe dédié pour le graphisme.

On a finit avec une cagnotte graphisme de 215 euros (dont 60 euros de la caisse).
On a voté pour sortir les 60€ de la caisse pour Ronce à l'unanimité.
Ainsi que pour demander une charte graphique ?
Pour savoir qui est dans le groupe projet, on a testé un vote avec pourcentage d'intérêt.
Adrien: 100%, Quentin 40%, Alex 10%, Max 30%, Florian 20%, Vincent 25%
Vu qu'on a pas tout le monde on demandera aux absents (Louison, on pense à Louison parce qu'il est fortiche en intégration)

Pour la création d'une cagnotte pour les donations individuelles, on fait les virements avec motif à Adrien (voté à l'unanimité). On aura besoin d'un devis et une facture (au nom de Deuxfleurs) pour rester dans les clous.

**Tech**
Florian il veut sysadmin avec nous ! YES !
Est-on d'acc pour lui donner les accès root sur deuxfleurs ? 
On a pas de process bien défini pour ajouter des admins, à part commencer par la présenter. 
Une PR sur un des repos deuxfleurs ?
Il a participé à l'InsaLan, tout comme Quentin mais pas en même temps.
Il semblerait qu'on ait bien besoin d'un admin supplémentaire au vu de la gueule de la boite mail.
Vote à l'unanimité pour que Florian nous rejoigne comme sysadmin.

**Aide d'une asso en besoin**
Ils ont un site web, un Wordpress <3 Pas à jour avec des plugins troués. Ont un virus avec redirection (Quentin le sait, il a Fedora). 
Appel téléphonique : vous n'allez pas vous en sortir en ajoutant un plugin de sécu vu qu'ils sont déjà pwn. 
Mais ils vont pas filer les IDs à Quentin pour qu'il s'en occupe, ça ressemble à l'attaque de social engineering de base. Plutôt, ils seraient assez chauds pour qu'on les héberge.
Adrien propose une approche par conteneur qui ne sécurise pas l'install, mais évite les effets de bord et est facilement réparable.
Quentin veut un site full read-only.
Max fait remarquer que tout l'intérêt du Wordpress est l'administration pousse-bouton back-office.
Aspects légaux, DDoS et tout : on sait y répondre et on gèrera si les problèmes se produisent.

**Et nous, on fait quoi niveau hébergement ?**
On a écrit sur https://deuxfleurs.fr/Guide/Sites%20web.html que l'hébergement était gratos, on reste dessus ou pas ? Non, on réécrit "contactez-nous on en discutera".
Quentin dit qu'ils pourront bien payer quelques euros.
On est ok pour héberge l'asso en détresse !

**Matériel pour nos infras**
Où choper des serveurs ? Brokers, ou circuit pro récupéré par des particuliers. Les brokers peuvent livrer les serveurs et tout, c'est pas mal !
On peut argumenter que c'est mieux que des Raspi vu que c'est du recyclage ! Ca consomme plus, certes (15W au lieu de 5W), mais c'est modulable (on peut rajouter de la RAM, etc).
R710 = 300€ pièce, 18 slots pour la RAM. Par contre ça consomme 100W en idle et ça fait balle de bruit.

**Garage et Nextcloud**
Maintenant on parle de comment on pourrait faire du Nextcloud bien robuste grâce à Garage.
Quentin et l'hébergement NextCloud. Déjà live mais caché sur nextcloud.deuxfleurs.fr
Avec de l'HA (high avail).
Nécessite de connecter Consul et Nomad en IPv6
Quelle est la quantité de stockage qui est ajoutée au cluster si je contribue X Go au cluster ?
Il y a trois copies, donc on contribue X/3
C'est assez sexy : Adrien serait bien content de pouvoir arrêter d'héberger son propre NextCloud et payer plutôt un disque dur à Deuxfleurs.
C'est tout l'idée de l'asso ! Mutualiser le travail de sysadmin : qu'on ne passe pas chacun notre vie à gérer.
Si les parents d'Adrien contribuaient leur Synology (e.g. 5 To) via garage, ils pourraient aussi profiter du NextCloud de Deuxfleurs (HA full sécure) ou de toute app nécessitant du stockage.

Comment ça marche l'adressage sur Garage ? IPv4 ? Port Forwarding nécessaire. IPv6 ? Possibilité d'ouvrir des ports dans le firewall de la box. Pas besoin de DNS dynamique. Pas besoin d'IP fixe. LX est le maitre des clés, il te fournit un certificat (ou plutôt signe ton certficat) pour accéder AU GARAGE.
Tu installes et configure GARAGE et tu contribues du stockage pour LA COMMU <3

**Un NAS est il Deuxfleurs compatible ?**
Adrien aurait un Synology chez ses darons qui chôme.
Pas une bonne idée de flasher un Debian dessus - drivers spécifiques et parents qui peuvent plus gérer. 
Profiter plutôt du système de conteneurs. 
Pas ajoutable au cluster Deuxfleurs. 
Vérifier les specs.
Une tour à côté qui fait compute pendant que le NAS fait storage.




---

## Ordre du jour

* Une asso souhaiterait qu'on les héberge. 
  * Au cas où : tout le monde est d'accord ? 
  * Définir un cadre « légal » à l'hébergement ? Les hébergés ont tendance à apprécier les garanties...
  * Discuter l'aspect financier. On a marqué ça à la page [Hébergement de site web de Deuxfleurs](https://deuxfleurs.fr/Guide/Sites%20web.html) : « À terme, on demandera (sans doute) de s'inscrire à l'association pour être hébergé, mais pour le moment c'est gratuit et ouvert à tou.te.s, profitez-en ! »
  Ça convient à tout le monde ?
* Identité visuelle :
  * Définir nos besoins/attentes/envies pour la communication visuelle de Deuxfleurs (dans le dépôt : https://git.deuxfleurs.fr/Deuxfleurs/design)
  * Tout le monde est d'accord pour demander son aide à Ronce ([site web](http://www.roseluxey.com/), [Insta](https://www.instagram.com/rose_luxey/), [ArtStation](https://www.artstation.com/ronce)), illustratrice/dessinatrice et soeur d'Adrien ? Si oui planifier un conf-call avec elle pour discuter de nos idées.
  * Quels besoins administratifs pour la rémunérer proprement si on emploie ses services ? (Pour rappel, elle accepte d'être payée en nature pour du petit boulot, ou pour démarrer.)
  * Comment lever ce genre de fonds ? Appel à donation au sein de l'asso par ex. Discuter des pour et contre. On ne veut pas que les adhérents se sentent forcés de contribuer financièrement. Mais on veut bien payer nos prestataires extérieurs.
* Retour Planet : est ce que c'est utile ? on peut référencer nos articles à la main dans un premier temps ?

## Qui fait quoi d'ici là ?

Quentin :

  * ✅ Référencer l'article StopCovid
  * ✅ Finir une v1 de Diplonat.
  * ✅ Déployer une V1 de Platoo
  * ⌛ Faire des backups sur la machine de Max.
  * ✅  Penser à vérifier avant la réunion l'état du support de Jitsi par Firefox
    * ✅ Semblerait OK via @Vincent : https://linuxfr.org/news/firefox-76-dites-septantesix#toc-prise-en-charge-de-jitsi
    * ✅ J'ai mis à jour Jitsi vers la dernière version et réautorisé Firefox
  * ⌛ Email
    * ✅  Ajouter une doc pour expliquer comment rajouter un nouveau domaine
    * ✅ Chercher des pistes pour réparer IMAP qui est lent ? 
      * Cyrus IMAP -> pas d'abstraction du stockage, Cyrus Murder pour de la replication ad hoc
      * [DarkMail](https://darkmail.info/downloads/dark-internet-mail-environment-june-2018.pdf) - ex Lavabit. Abandonné
      * [Maddy](https://foxcpp.dev/maddy/) - Caddy de l'email, pas d'abstraction sur le stockage non plus
      * Rien de probant de manière générale.
      * Propositions :
        1. Utiliser la réplication d'IMAP plutot que GlusterFS dans un premier temps
        2. Écrire un backend S3/Garage pour plus tard maybe en Go/OCaml/Rust (qui peuvent tous compiler en bibliothèque dynamique C)
    * Tester quelque chose
  * ✅ Accepter la PR#1 d'Alex (lol)
  * ✅ Mettre à jour Consul+Nomad
  * ✅ Fix le boot du cluster
    * ✅ fstab lu avant le boot de GlusterFS 
    * ✅ nomad+consul démarrés avant le réseau
  * Améliorer l'image Nextcloud
  * Début du chantier IPv6
    * Ajouter le support d'IPv6 à diplonat
    * Faire communiquer Nomad+Consul en IPv6

Alex :

  * ✅ Repo git "interne" avec la compta
  * PoC infra à base de VPN
  * Garage:
	- À coder: garder les données 30 jours lors d'une suppression
    - Tests de fiabilité
	- Déploiement beta sur le cluster, peut se configurer en TLS direct entre les datacenters (sans VPN ou Consul Connect)
	- Interface web de gestion: dans Guichet (mieux) ou à part (plus simple)
